2019-05-26 22:52 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002151NetSurf[All Projects] Generalpublic2016-02-16 15:29
Reportersabotage_linux 
Assigned ToVincent Sanders 
SeveritymajorReproducibilityalways 
StatusclosedResolutionfixed 
Platformsabotage linuxOSOS Version
Product Version3.2 
Target VersionFixed in Version3.4 
Summary0002151: generated "Messages" file is empty, all texts in the menubar and preferences are missing (gtkFile instead of File etc)
Descriptionwhen the perl module HTML::Entities is missing, the build succeeds silently, but the generated Messages files are empty.

careful study of the build log reveals the problem:

Can't locate HTML/Entities.pm in @INC (@INC contains: //lib/perl5/site_perl ...)
BEGIN failed--compilation aborted at utils/split-messages.pl line 235.
TagsNo tags attached.
Fixed in CI build #2699
Reported in CI build #
URL of problem page
Attached Files

-Relationships
+Relationships

-Notes
Vincent Sanders

~0000822

Vincent Sanders (administrator)

reworked message generation. it now halts correctly if the message split fails at any point and correctly marks the intermediate files so they do not get left around.
Vincent Sanders

~0001320

Vincent Sanders (administrator)

Confirmed resolved in 3.4 release
+Notes

-Issue History
Date Modified Username Field Change
2014-06-13 13:28 sabotage_linux New Issue
2014-06-16 13:36 Vincent Sanders Assigned To => Vincent Sanders
2014-06-16 13:36 Vincent Sanders Status new => acknowledged
2015-03-22 17:38 Vincent Sanders Project Buildsystem => NetSurf
2015-04-07 01:04 Vincent Sanders Fixed in CI build # => 2699
2015-04-07 01:04 Vincent Sanders Note Added: 0000822
2015-04-07 01:04 Vincent Sanders Status acknowledged => resolved
2015-04-07 01:04 Vincent Sanders Resolution open => fixed
2015-04-07 01:04 Vincent Sanders Product Version => 3.2
2015-04-07 01:04 Vincent Sanders Fixed in Version => 3.4
2016-02-16 15:29 Vincent Sanders Note Added: 0001320
2016-02-16 15:29 Vincent Sanders Status resolved => closed
+Issue History